Skip to main content
GET
/
sdk
/
{environmentId}
/
evm
/
sponsorTransaction
/
{requestId}
Get the status of a sponsored EVM transaction
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/evm/sponsorTransaction/{requestId} \
  --header 'Authorization: Bearer <token>'
{
  "status": "CANCELED",
  "errorMessage": "<string>",
  "transactionHash": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

requestId
string
required

UUID of the relay request

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Relay request status

Status of a sponsored EVM relay request

status
enum<string>
required

Current status of the relay request

Available options:
CANCELED,
CONFIRMED,
EXPIRED,
FAILED,
PENDING,
REJECTED,
SENT,
SUBMITTED
errorMessage
string

Error message if the transaction was rejected or reverted

transactionHash
string

On-chain transaction hash once confirmed or reverted

Pattern: ^0x[a-fA-F0-9]{64}$